5.1.1.8.3. Invoke External Method
Prev | 5.1.1.8. Invoke (External) Method | Next

#### 5.1.1.8.3. Invoke External Method

Invoke External Method

- Use this action to invoke external static methods. You have to copy the JAR files containing your methods to the directory <installation-directory>/ite/externaljars. The directory may not exist at first run, if so, you have to create it. Exceptions that occur during the execution of the method will be shown in the ITE as action errors. You can use an IllegalStateException in your method to indicate that something went wrong, the ITE will interpret that as a check failed error.

- You have to enter the fully qualified class name, method name, method signature, method arguments and the separator for the method arguments. The result of the method is not stored, with the exception of java.util.Properties. If the method returns an Object of this type, Jubula will create variables with the names of the Properties and the corresponding values. These variables can than be further used in the test execution.

- Parameters:

  - Fully qualified Class Name

  - Method Name

  - Method Signature

  - Method Arguments

  - Method Argument Separator

  - Timeout in Millisecs

Invoke External Method and Store Value

- Use this action to invoke external static methods. You have to copy the JAR files containing your methods to the directory ite/externaljars. Exceptions that occur during the execution of the method will be shown in the ITE as action errors. You can use an IllegalStateException in your method to indicate that something went wrong, the ITE will interpret that as a check failed error.

- You have to enter the fully qualified class name, method name, method signature, method arguments and the separator for the method arguments. The return value of the method will be stored as string in the given variable.

- Parameters:

  - Variable Name

  - Fully qualified Class Name

  - Method Name

  - Method Signature

  - Method Arguments

  - Method Argument Separator

  - Timeout in Millisecs